 SUBROUTINE user_last_actions

!--------------------------------------------------------------------------------!
! This file is part of PALM.
!
! PALM is free software: you can redistribute it and/or modify it under the terms
! of the GNU General Public License as published by the Free Software Foundation,
! either version 3 of the License, or (at your option) any later version.
!
! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
!
! You should have received a copy of the GNU General Public License along with
! PALM. If not, see <http://www.gnu.org/licenses/>.
!
! Copyright 1997-2014 Leibniz Universitaet Hannover
!--------------------------------------------------------------------------------!
!
! Current revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: user_last_actions.f90 1310 2014-03-14 08:01:56Z raasch $
!
! 1036 2012-10-22 13:43:42Z raasch
! code put under GPL (PALM 3.9)
!
! 366 2009-08-25 08:06:27Z raasch
! Output on unit 14 only if requested by write_binary
!
! 211 2008-11-11 04:46:24Z raasch
! Former file user_interface.f90 split into one file per subroutine
!
! Description:
! ------------
! Execution of user-defined actions at the end of a job.
!------------------------------------------------------------------------------!

    USE control_parameters
    USE user

    IMPLICIT NONE

!
!-- Here the user-defined actions at the end of a job follow.
!-- Sample for user-defined output:
    IF ( write_binary(1:4) == 'true' )  THEN
!       IF ( ALLOCATED( u2_av ) )  THEN
!          WRITE ( 14 )  'u2_av               ';  WRITE ( 14 )  u2_av
!       ENDIF

       WRITE ( 14 )  '*** end user ***    '

    ENDIF

 END SUBROUTINE user_last_actions

